[ARVADOS] updated: 1.2.0-210-gb1bc92808

Git user git at public.curoverse.com
Tue Oct 16 15:48:31 EDT 2018


Summary of changes:
 doc/admin/metrics.html.textile.liquid     |  2 ++
 services/keep-balance/balance.go          | 27 +++++++++++++++++++++++++++
 services/keep-balance/balance_run_test.go | 13 ++++++++-----
 services/keep-balance/block_state.go      |  2 ++
 services/keep-balance/metrics.go          | 20 +++++++++++++-------
 5 files changed, 52 insertions(+), 12 deletions(-)

  discards  b48c1fe9a71d0243bbb162dd3706db27ffb177ee (commit)
  discards  c4e3135187e0a2dd339a4e3dccb2441302e3f6ca (commit)
       via  b1bc9280834cc9f492f9a052dfcbf068988b4b55 (commit)
       via  a7f9e978a4e45440a965d94ff849f59508a5456a (commit)
       via  0afa17181a2bd003a50ec5d1705533b84b02ad2c (commit)
       via  faeb978ad985f983ec8dc18292524e0bd7bbda03 (commit)
       via  c64cf92414315c09771770e5d079bc4ad8328f52 (commit)
       via  d6a21ab8a0c5a45bdcd7c0fbaa93f7096e56e831 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (b48c1fe9a71d0243bbb162dd3706db27ffb177ee)
            \
             N -- N -- N (b1bc9280834cc9f492f9a052dfcbf068988b4b55)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit b1bc9280834cc9f492f9a052dfcbf068988b4b55
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date:   Tue Oct 16 09:35:17 2018 -0400

    14344: Move "set -e" back to top.
    
    Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>

diff --git a/build/go-python-package-scripts/postinst b/build/go-python-package-scripts/postinst
index 095872fe2..ab2568ab9 100755
--- a/build/go-python-package-scripts/postinst
+++ b/build/go-python-package-scripts/postinst
@@ -3,11 +3,11 @@
 #
 # SPDX-License-Identifier: AGPL-3.0
 
+set -e
+
 # Detect rpm-based systems: the exit code of the following command is zero
 # on rpm-based systems
-/usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1
-
-if [ "$?" = "0" ]; then
+if /usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1; then
     # Red Hat ("%{...}" is interpolated at package build time)
     pkg="%{name}"
     pkgtype=rpm
@@ -20,7 +20,6 @@ else
     prefix=/usr
 fi
 
-set -e
 case "${pkgtype}-${1}" in
     deb-configure | rpm-1)
         dest_dir="/lib/systemd/system"
diff --git a/build/go-python-package-scripts/prerm b/build/go-python-package-scripts/prerm
index b2908e2f3..c0f45d60c 100755
--- a/build/go-python-package-scripts/prerm
+++ b/build/go-python-package-scripts/prerm
@@ -3,11 +3,11 @@
 #
 # SPDX-License-Identifier: AGPL-3.0
 
+set -e
+
 # Detect rpm-based systems: the exit code of the following command is zero
 # on rpm-based systems
-/usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1
-
-if [ "$?" = "0" ]; then
+if /usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1; then
     # Red Hat ("%{...}" is interpolated at package build time)
     pkg="%{name}"
     pkgtype=rpm
@@ -20,7 +20,6 @@ else
     prefix=/usr
 fi
 
-set -e
 case "${pkgtype}-${1}" in
     deb-remove | rpm-0)
         if [ -e /run/systemd/system ]; then

commit a7f9e978a4e45440a965d94ff849f59508a5456a
Author: Ward Vandewege <wvandewege at veritasgenetics.com>
Date:   Mon Oct 15 21:49:30 2018 -0400

    Fix the detection of rpm vs deb systems.
    
    refs #14344
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <wvandewege at veritasgenetics.com>

diff --git a/build/go-python-package-scripts/postinst b/build/go-python-package-scripts/postinst
index 6d303f2e3..095872fe2 100755
--- a/build/go-python-package-scripts/postinst
+++ b/build/go-python-package-scripts/postinst
@@ -3,9 +3,11 @@
 #
 # SPDX-License-Identifier: AGPL-3.0
 
-set -e
+# Detect rpm-based systems: the exit code of the following command is zero
+# on rpm-based systems
+/usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1
 
-if [ "%{name}" != "%\{name\}" ]; then
+if [ "$?" = "0" ]; then
     # Red Hat ("%{...}" is interpolated at package build time)
     pkg="%{name}"
     pkgtype=rpm
@@ -18,6 +20,7 @@ else
     prefix=/usr
 fi
 
+set -e
 case "${pkgtype}-${1}" in
     deb-configure | rpm-1)
         dest_dir="/lib/systemd/system"
diff --git a/build/go-python-package-scripts/prerm b/build/go-python-package-scripts/prerm
index d840ee1bd..b2908e2f3 100755
--- a/build/go-python-package-scripts/prerm
+++ b/build/go-python-package-scripts/prerm
@@ -3,9 +3,11 @@
 #
 # SPDX-License-Identifier: AGPL-3.0
 
-set -e
+# Detect rpm-based systems: the exit code of the following command is zero
+# on rpm-based systems
+/usr/bin/rpm -q -f /usr/bin/rpm >/dev/null 2>&1
 
-if [ "%{name}" != "%\{name\}" ]; then
+if [ "$?" = "0" ]; then
     # Red Hat ("%{...}" is interpolated at package build time)
     pkg="%{name}"
     pkgtype=rpm
@@ -18,6 +20,7 @@ else
     prefix=/usr
 fi
 
+set -e
 case "${pkgtype}-${1}" in
     deb-remove | rpm-0)
         if [ -e /run/systemd/system ]; then

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list